#!/usr/bin/perl -T

## --> Lumped Component Wilkinson Splitter / Combiner Designer, wilk.main.cgi
## --> Green Bay Professional Packet Radio, www.gbppr.org

## This file Copyright 2000 <contact@gbppr.org> under the GPL
## NO WARRANTY. Please send bug reports / patches / reports.

# Setup
#
select STDOUT;
$| = 1;

# User stuff
#
my $pic = "pics/wilk.png";
my $form = "./wilk.cgi";
my $imp = 50; # 50 ohms

# Print MIME
#
print "Content-type:text/html\n\n";

# Draw me a web page
#
print <<EOF;
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title>Lumped Component Wilkinson Splitter / Combiner Designer</title>
</head>
<body bgcolor="#D3D3D3" text="#000000" link="blue">
<center>
<font face="Verdana, Arial, Helvetica">
<h2>Lumped Component Wilkinson Splitter / Combiner Designer</h2>

<p><font size="-1">A service of <a href="http://www.gbppr.org">Green Bay Professional Packet Radio</a>&nbsp;&reg;</font></p>
</center>

<hr noshade>
<center><img src="$pic" alt="[wilkinson]"></center>

<form action="$form" method="post">
<table border="0">
<tr>
<td><b>Enter input/output impedance</b></td>
<td><input type="text" name="imp" size="5" value="$imp"></td>
<td>Ohms</td>
</tr>

<tr>
<td><b>Enter the operating frequency</b></td>
<td><input type="text" name="frq" size="5" value="$freq"></td>
<td><select name="frq_val">
<option selected>MHz</option>
<option>kHz</option>
</select></td>
</tr>
</table>

<hr noshade>
<center>
<table>
<tr>
<td><input type="submit" value="Submit"></td>
<td><input type="reset" value="Clear"></td>
</tr>
</table>
</center>
</form>

<hr noshade size="5">
</font>

</body>
</html>
EOF
